package expressionprog;

/**
 * A program item that represents a unary minus operator,
 * like the minus sign in  -x,  -abs(x),  or  -3.  A unary
 * minus is applied to a single number, and it multiplies
 * that number by -1.
 */
public class UnaryMinus extends ProgramItem {
	

	/**
	 * Returns a string describing the action of this program item on a stack.
	 */
	public String toString() {
		return "Apply unary minus";
	}

}

